
.banner {
  position: absolute;
  height: auto;
  left: 0;
  top: 0;
  width: 100%;
  z-index: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  background: linear-gradient(
    233.86deg,
    #74d7fb -8.89%,
    #000f8e 23.44%,
    #010f8e 71.5%,
    #a931f6 111.32%
  );
}

.description {
  word-break: break-all;
  width: 90%;
  display: flex;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 125%;
  color: #ffffff;
  align-items: center;
}

.logo {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  width: 80px;
  height: 80px;
  background: #ffffff;
  border: 1px solid #ffffff;
  border-radius: 3px;
  margin-right: 20px;
}

.banner-container-1 {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    padding: 30px;
    width: 90%;
  //margin: 34px;
}

.service-presentation {
    display: flex;
    height: fit-content;
    width: auto;
}

.service-base-infos {
  display: flex;
  flex-direction: column;
  height: 80px;
  justify-content: space-between;
  > .panel-title {
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 125%;
    color: #ffffff;
  }

  > .company-name {
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 125%;
    color: #ffffff;
  }
  > .location {
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 125%;
    color: #ffffff;
    display: flex;
    > img {
      margin-right: 5px;
    }
  }
}

.label-text {
    margin: 0;
}

.label-buttons {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-evenly;
  width: 100%;
  position: absolute;
  top: 260px;

  > .button-label,
  .button-catalog {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4px;
    width: 45%;
    height: 65px;
    background: #ffffff;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.1);
    border-radius: 2px;
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 125%;

    text-align: center;
    color: #000f8e;
  }

  > .button-label {
    > p {
      font-family: "Titillium Web", serif;
      font-style: normal;
      font-weight: 600;
      font-size: 16px;
      line-height: 125%;
      color: #a931f6;
      margin: 0;
    }
  }
}

.no-label,
.not-published {
  display: flex;
  align-items: center;
  margin: 0;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  text-align: center;
  color: #b60b0b;
  > .mat-icon {
    font-size: 18px;
    width: 18px;
    height: 18px;
    margin-right: 2px;
  }
}

.published {
  display: flex;
  align-items: center;
  color: green;
  > .mat-icon {
    margin-right: 2px;
    font-size: 18px;
    width: 18px;
    height: 18px;
  }
}

.other-info {
    height: calc(80vh - 150px);
    z-index: -11;
    margin-top: 320px;
}
// .separator {
//   width: 100%;
//   height: 0px;
//   border: 1px solid #d9dada;
// }

// .separator-small {
//   width: 90%;
//   height: 0px;
//   border: 1px solid #d9dada;
// }

.title-info {
  font-family: "Titillium Web", serif;
  font-style: normal;
  margin-top: 20px;
  margin-bottom: 20px;
  font-weight: 600;
  font-size: 18px;
  line-height: 125%;
  display: flex;
  align-items: center;
  color: #000000;
  > img {
    margin-right: 4px;
  }
}

.element-btn {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 10px 16px;
  background: #ffffff;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 125%;
  color: #000f8e;
  border: 1px solid #000f8e;
  border-radius: 3px;
  margin-right: 10px;
  margin-bottom: 10px;
}

.container {
  display: flex;
  flex-wrap: wrap;
}

.container-claims {
  display: flex;
  flex-direction: column;
  margin-left: 20px;
}

.container-claims-reference {
  display: flex;
  flex-wrap: wrap;
}

.claim-reference {
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  margin: 8px;
  line-height: 125%;
  color: #000000;
  display: flex;
  align-items: center;
}

.ref-status {
  margin: 5px;
  width: 8px;
  height: 8px;
  border-radius: 8px;
  background-color: black;
}
.ref-status-invalid {
  background-color: #f12535;
}

.ref-status-valid {
  background-color: #289d15;
}

.claim-category-title {
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 125%;
  display: flex;
  align-items: center;
  margin: 0;
}

.claim-category-wrapper {
    display: flex;
    justify-content: space-between;
}

.separator {
    width: 100%;
    height: 0;
    margin: auto;
    display: flex;
    border: 1px solid #d9dada;
    margin-top: 15px;
    margin-bottom: 15px;
}

.separator-small {
    width: 100%;
    height: 0;
    border: 1px solid #d9dada;
    margin: auto;
    margin-top: 15px;
    margin-bottom: 15px;
}

.claim-number {
    height: 23px;
    width: 23px;
    display: flex;
    color: white;
    background-color: #A931F6;
    border-radius: 23px;
    align-items: center;
    justify-content: center;
    align-content: center;
}

.body-sidenav {
    height: 92%;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 30px;
    .drawer-close {
        background-color: rgba(255, 255, 255, 0.288);
        border-radius: 5%;
        color: white !important;
        margin-bottom: -20px !important;
        margin-top: 3px;
        margin-left: 5px;
        padding-bottom:0px !important;
    }
}

.description-div {
    overflow-y: auto;
    margin-left: 30px;
    margin-right: 30px;
    height: 53px;
    width: 90%;
}

.see-description-vc {
    font-size: 25px;
    line-height: 50%;
    span {
        text-decoration: underline;
    }
    margin-left: 30px;
    margin-right: 30px;
    margin-bottom: 30px;
    margin-top: 0px !important;
    color: white !important;
}

/* Works on Firefox */
.description-div::-webkit-scrollbar {
    scrollbar-width: thin;
    scrollbar-color: blue white;
  }

.description-div::-webkit-scrollbar-track {
    background: rgba(255, 255, 255, 0);
  }

.description-div::-webkit-scrollbar-thumb {
    background-color: #555fc0;
    border-radius: 20px;
    border: 3px solid #3440ac;
  }
